{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "ruler_5860d076"
    },
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      " A",
      "A "
    ],
    "key": {
      "A": {
        "item": "minecraft:stick",
        "data": 0
      }
    },
    "result": {
      "item": "bbr:ruler",
      "count": 1
    }
  }
}